## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celPcCommon Class Reference

This is a common implementation for a property class from which all other property classes can inherit. More...

`#include <celtool/stdpcimp.h>`

Inheritance diagram for celPcCommon:

[legend]
List of all members.

## Public Member Functions

virtual iCelEntity * | GetEntity ()
virtual csPtr< iCelDataBuffer > | GetPersistentData (celPersistenceType persistence_type)
virtual const char * | GetTag () const
bool | HavePropertyClassesChanged ()
virtual bool | LoadFirstPass (iCelDataBuffer *)
virtual bool | PerformAction (csStringID, iCelParameterBlock *, celData &ret)
virtual void | PropertyClassesHaveChanged ()
virtual csPtr< iCelDataBuffer > | SaveFirstPass ()
virtual celPersistenceResult | SetPersistentData (csTicks data_time, iCelDataBuffer *data, celPersistenceType persistence_type)
virtual void | TickEveryFrame ()
virtual void | TickOnce ()

## Static Protected Member Functions

static void | UpdateProperties (iObjectRegistry *)

## Protected Attributes

iCelEntity * | entity
iObjectRegistry * | object_reg
csWeakRef< iCelPlLayer > | pl
size_t * | propcount
void ** | propdata
Property * | props

## Detailed Description

This is a common implementation for a property class from which all other property classes can inherit.

This makes it easier to write a property class.

Definition at line 50 of file stdpcimp.h.

The documentation for this class was generated from the following file:

- celtool/stdpcimp.h